# osgUtil::Optimizer::MergeGeometryVisitor Class Reference

Inheritance diagram for osgUtil::Optimizer::MergeGeometryVisitor:

[legend]
List of all members.

## Public Member Functions

| MergeGeometryVisitor (Optimizer *optimizer=0)
| default to traversing all children.
virtual void | apply (osg::Geode &geode)
virtual void | apply (osg::Billboard &)
bool | mergeGeode (osg::Geode &geode)
bool | isOperationPermissibleForObject (const osg::Object *object) const

## Static Public Member Functions

static bool | geometryContainsSharedArrays (osg::Geometry &geom)
static bool | mergeGeometry (osg::Geometry &lhs, osg::Geometry &rhs)
static bool | mergePrimitive (osg::DrawArrays &lhs, osg::DrawArrays &rhs)
static bool | mergePrimitive (osg::DrawArrayLengths &lhs, osg::DrawArrayLengths &rhs)
static bool | mergePrimitive (osg::DrawElementsUByte &lhs, osg::DrawElementsUByte &rhs)
static bool | mergePrimitive (osg::DrawElementsUShort &lhs, osg::DrawElementsUShort &rhs)
static bool | mergePrimitive (osg::DrawElementsUInt &lhs, osg::DrawElementsUInt &rhs)

## Public Attributes

Optimizer * | _optimizer

## Constructor & Destructor Documentation

osgUtil::Optimizer::MergeGeometryVisitor::MergeGeometryVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

| default to traversing all children.

## Member Function Documentation

virtual void osgUtil::Optimizer::MergeGeometryVisitor::apply | ( | osg::Billboard & |  | ) | `[inline, virtual]`

virtual void osgUtil::Optimizer::MergeGeometryVisitor::apply | ( | osg::Geode & | geode | ) | `[inline, virtual]`

bool Optimizer::MergeGeometryVisitor::geometryContainsSharedArrays | ( | osg::Geometry & | geom | ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

bool Optimizer::MergeGeometryVisitor::mergeGeode | ( | osg::Geode & | geode | ) |

bool Optimizer::MergeGeometryVisitor::mergeGeometry | ( | osg::Geometry & | lhs,
|  | osg::Geometry & | rhs
| ) | `[static]`

bool Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUInt & | lhs,
|  | osg::DrawElementsUInt & | rhs
| ) | `[static]`

bool Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUShort & | lhs,
|  | osg::DrawElementsUShort & | rhs
| ) | `[static]`

bool Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUByte & | lhs,
|  | osg::DrawElementsUByte & | rhs
| ) | `[static]`

bool Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawArrayLengths & | lhs,
|  | osg::DrawArrayLengths & | rhs
| ) | `[static]`

bool Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawArrays & | lhs,
|  | osg::DrawArrays & | rhs
| ) | `[static]`

## Member Data Documentation

Optimizer* osgUtil::Optimizer::MergeGeometryVisitor::_optimizer

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp